"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateDataSourceFromRDS_1 = require("../model/operations/CreateDataSourceFromRDS");
class CreateDataSourceFromRDSCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateDataSourceFromRDS_1.CreateDataSourceFromRDS;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateDataSourceFromRDSCommand = CreateDataSourceFromRDSCommand;
//# sourceMappingURL=CreateDataSourceFromRDSCommand.js.map