"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateDataSourceFromRedshift_1 = require("../model/operations/CreateDataSourceFromRedshift");
class CreateDataSourceFromRedshiftCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateDataSourceFromRedshift_1.CreateDataSourceFromRedshift;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateDataSourceFromRedshiftCommand = CreateDataSourceFromRedshiftCommand;
//# sourceMappingURL=CreateDataSourceFromRedshiftCommand.js.map