/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDataSourceFromS3Input } from "../types/CreateDataSourceFromS3Input";
import { CreateDataSourceFromS3Output } from "../types/CreateDataSourceFromS3Output";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/CreateDataSourceFromS3Input";
export * from "../types/CreateDataSourceFromS3Output";
export * from "../types/CreateDataSourceFromS3ExceptionsUnion";
export declare class CreateDataSourceFromS3Command implements __aws_sdk_types.Command<InputTypesUnion, CreateDataSourceFromS3Input, OutputTypesUnion, CreateDataSourceFromS3Output, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDataSourceFromS3Input;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDataSourceFromS3Input, CreateDataSourceFromS3Output, _stream.Readable>;
    constructor(input: CreateDataSourceFromS3Input);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<CreateDataSourceFromS3Input, CreateDataSourceFromS3Output>;
}
