/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateEvaluationInput } from "../types/CreateEvaluationInput";
import { CreateEvaluationOutput } from "../types/CreateEvaluationOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/CreateEvaluationInput";
export * from "../types/CreateEvaluationOutput";
export * from "../types/CreateEvaluationExceptionsUnion";
export declare class CreateEvaluationCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateEvaluationInput, OutputTypesUnion, CreateEvaluationOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: CreateEvaluationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateEvaluationInput, CreateEvaluationOutput, _stream.Readable>;
    constructor(input: CreateEvaluationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<CreateEvaluationInput, CreateEvaluationOutput>;
}
