/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDataSourceInput } from "../types/DeleteDataSourceInput";
import { DeleteDataSourceOutput } from "../types/DeleteDataSourceOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DeleteDataSourceInput";
export * from "../types/DeleteDataSourceOutput";
export * from "../types/DeleteDataSourceExceptionsUnion";
export declare class DeleteDataSourceCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDataSourceInput, OutputTypesUnion, DeleteDataSourceOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDataSourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDataSourceInput, DeleteDataSourceOutput, _stream.Readable>;
    constructor(input: DeleteDataSourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DeleteDataSourceInput, DeleteDataSourceOutput>;
}
