"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteDataSource_1 = require("../model/operations/DeleteDataSource");
class DeleteDataSourceCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteDataSource_1.DeleteDataSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteDataSourceCommand = DeleteDataSourceCommand;
//# sourceMappingURL=DeleteDataSourceCommand.js.map