/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDataSourcesInput } from "../types/DescribeDataSourcesInput";
import { DescribeDataSourcesOutput } from "../types/DescribeDataSourcesOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DescribeDataSourcesInput";
export * from "../types/DescribeDataSourcesOutput";
export * from "../types/DescribeDataSourcesExceptionsUnion";
export declare class DescribeDataSourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDataSourcesInput, OutputTypesUnion, DescribeDataSourcesOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDataSourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDataSourcesInput, DescribeDataSourcesOutput, _stream.Readable>;
    constructor(input: DescribeDataSourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DescribeDataSourcesInput, DescribeDataSourcesOutput>;
}
