/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetBatchPredictionInput } from "../types/GetBatchPredictionInput";
import { GetBatchPredictionOutput } from "../types/GetBatchPredictionOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/GetBatchPredictionInput";
export * from "../types/GetBatchPredictionOutput";
export * from "../types/GetBatchPredictionExceptionsUnion";
export declare class GetBatchPredictionCommand implements __aws_sdk_types.Command<InputTypesUnion, GetBatchPredictionInput, OutputTypesUnion, GetBatchPredictionOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: GetBatchPredictionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetBatchPredictionInput, GetBatchPredictionOutput, _stream.Readable>;
    constructor(input: GetBatchPredictionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<GetBatchPredictionInput, GetBatchPredictionOutput>;
}
