/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetMLModelInput } from "../types/GetMLModelInput";
import { GetMLModelOutput } from "../types/GetMLModelOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/GetMLModelInput";
export * from "../types/GetMLModelOutput";
export * from "../types/GetMLModelExceptionsUnion";
export declare class GetMLModelCommand implements __aws_sdk_types.Command<InputTypesUnion, GetMLModelInput, OutputTypesUnion, GetMLModelOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: GetMLModelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetMLModelInput, GetMLModelOutput, _stream.Readable>;
    constructor(input: GetMLModelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<GetMLModelInput, GetMLModelOutput>;
}
