/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PredictInput } from "../types/PredictInput";
import { PredictOutput } from "../types/PredictOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/PredictInput";
export * from "../types/PredictOutput";
export * from "../types/PredictExceptionsUnion";
export declare class PredictCommand implements __aws_sdk_types.Command<InputTypesUnion, PredictInput, OutputTypesUnion, PredictOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: PredictInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PredictInput, PredictOutput, _stream.Readable>;
    constructor(input: PredictInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<PredictInput, PredictOutput>;
}
