"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const __aws_sdk_modeled_endpoint_middleware = require("@aws-sdk/modeled-endpoint-middleware");
const Predict_1 = require("../model/operations/Predict");
class PredictCommand {
    constructor(input) {
        this.input = input;
        this.model = Predict_1.Predict;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        stack.add(__aws_sdk_modeled_endpoint_middleware.modeledEndpointMiddleware(configuration.urlParser, "PredictEndpoint"), {
            step: "build",
            priority: 50,
            tags: { APPLY_PREDICT_ENDPOINT: true }
        });
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PredictCommand = PredictCommand;
//# sourceMappingURL=PredictCommand.js.map