/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateBatchPredictionInput } from "../types/UpdateBatchPredictionInput";
import { UpdateBatchPredictionOutput } from "../types/UpdateBatchPredictionOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/UpdateBatchPredictionInput";
export * from "../types/UpdateBatchPredictionOutput";
export * from "../types/UpdateBatchPredictionExceptionsUnion";
export declare class UpdateBatchPredictionCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateBatchPredictionInput, OutputTypesUnion, UpdateBatchPredictionOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateBatchPredictionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateBatchPredictionInput, UpdateBatchPredictionOutput, _stream.Readable>;
    constructor(input: UpdateBatchPredictionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<UpdateBatchPredictionInput, UpdateBatchPredictionOutput>;
}
