/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateDataSourceInput } from "../types/UpdateDataSourceInput";
import { UpdateDataSourceOutput } from "../types/UpdateDataSourceOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/UpdateDataSourceInput";
export * from "../types/UpdateDataSourceOutput";
export * from "../types/UpdateDataSourceExceptionsUnion";
export declare class UpdateDataSourceCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateDataSourceInput, OutputTypesUnion, UpdateDataSourceOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateDataSourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateDataSourceInput, UpdateDataSourceOutput, _stream.Readable>;
    constructor(input: UpdateDataSourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<UpdateDataSourceInput, UpdateDataSourceOutput>;
}
