"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateDataSource_1 = require("../model/operations/UpdateDataSource");
class UpdateDataSourceCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateDataSource_1.UpdateDataSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateDataSourceCommand = UpdateDataSourceCommand;
//# sourceMappingURL=UpdateDataSourceCommand.js.map