"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateEvaluation_1 = require("../model/operations/UpdateEvaluation");
class UpdateEvaluationCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateEvaluation_1.UpdateEvaluation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateEvaluationCommand = UpdateEvaluationCommand;
//# sourceMappingURL=UpdateEvaluationCommand.js.map