"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AddTagsInput_1 = require("../shapes/AddTagsInput");
const AddTagsOutput_1 = require("../shapes/AddTagsOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const InvalidTagException_1 = require("../shapes/InvalidTagException");
const TagLimitExceededException_1 = require("../shapes/TagLimitExceededException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsInput_1.AddTagsInput
    },
    output: {
        shape: AddTagsOutput_1.AddTagsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        },
        {
            shape: TagLimitExceededException_1.TagLimitExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=AddTags.js.map