"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateEvaluationInput_1 = require("../shapes/CreateEvaluationInput");
const CreateEvaluationOutput_1 = require("../shapes/CreateEvaluationOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateEvaluation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateEvaluation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateEvaluationInput_1.CreateEvaluationInput
    },
    output: {
        shape: CreateEvaluationOutput_1.CreateEvaluationOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        }
    ]
};
//# sourceMappingURL=CreateEvaluation.js.map