"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateMLModelInput_1 = require("../shapes/CreateMLModelInput");
const CreateMLModelOutput_1 = require("../shapes/CreateMLModelOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateMLModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateMLModel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateMLModelInput_1.CreateMLModelInput
    },
    output: {
        shape: CreateMLModelOutput_1.CreateMLModelOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        }
    ]
};
//# sourceMappingURL=CreateMLModel.js.map