"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDataSourceInput_1 = require("../shapes/GetDataSourceInput");
const GetDataSourceOutput_1 = require("../shapes/GetDataSourceOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDataSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDataSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDataSourceInput_1.GetDataSourceInput
    },
    output: {
        shape: GetDataSourceOutput_1.GetDataSourceOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=GetDataSource.js.map