"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RedshiftDatabase_1 = require("./_RedshiftDatabase");
const _RedshiftDatabaseCredentials_1 = require("./_RedshiftDatabaseCredentials");
exports._RedshiftDataSpec = {
    type: "structure",
    required: [
        "DatabaseInformation",
        "SelectSqlQuery",
        "DatabaseCredentials",
        "S3StagingLocation"
    ],
    members: {
        DatabaseInformation: {
            shape: _RedshiftDatabase_1._RedshiftDatabase
        },
        SelectSqlQuery: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DatabaseCredentials: {
            shape: _RedshiftDatabaseCredentials_1._RedshiftDatabaseCredentials
        },
        S3StagingLocation: {
            shape: {
                type: "string"
            }
        },
        DataRearrangement: {
            shape: {
                type: "string"
            }
        },
        DataSchema: {
            shape: {
                type: "string"
            }
        },
        DataSchemaUri: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_RedshiftDataSpec.js.map